-- Load some default values 
function love.load()
  --  camera = require 'libraries/camera'
  --  cam = camera()

    anim8 = require 'libraries/anim8'
    sti = require "libraries/sti"
     gameMap = sti('maps/map.lua')
   
    player = {}
    player.x = 400
    player.y = 200
    player.speed = 3
    player.spriteSheet = love.graphics.newImage('sprites/player-sheet.png')
    player.grid = anim8.newGrid( 64, 64, player.spriteSheet:getWidth(), player.spriteSheet:getHeight() )

    player.animations = {}
    player.animations.down = anim8.newAnimation( player.grid('1-4', 1), 0.2 )
    player.animations.left = anim8.newAnimation( player.grid('1-4', 2), 0.2 )
    player.animations.right = anim8.newAnimation( player.grid('1-4', 3), 0.2 )
    player.animations.up = anim8.newAnimation( player.grid('1-4', 4), 0.2 )

    player.anim = player.animations.left
end



 
function love.update(dt)
    local isMoving = false

    if love.keyboard.isDown("d") then
        player.x = player.x + player.speed
        player.anim = player.animations.right
        isMoving = true
    end

    if love.keyboard.isDown("a") then
        player.x = player.x - player.speed
        player.anim = player.animations.left
        isMoving = true
    end

    if love.keyboard.isDown("s") then
        player.y = player.y + player.speed
        player.anim = player.animations.down
        isMoving = true
    end

    if love.keyboard.isDown("w") then
        player.y = player.y - player.speed
        player.anim = player.animations.up
        isMoving = true
    end

    if isMoving == false then
        player.anim:gotoFrame(2)
    end

    player.anim:update(dt)

    mapW = gameMap.width * gameMap.tilewidth
    mapH = gameMap.height * gameMap.tileheight
  
    
    -- Update camera position
  --  cam:lookAt(player.x, player.y)

    -- This section prevents the camera from viewing outside the background
    -- First, get width/height of the game window
  --  local w = love.graphics.getWidth()
  --  local h = love.graphics.getHeight()

    -- Left border
   -- if cam.x < w/2 then
     --   cam.x = w/2
   -- end

    -- Right border
   -- if cam.y < h/2 then
    --    cam.y = h/2
   -- end

end

-- Draw the graphics.
function love.draw()
    -- 
  -- cam:attach()
     player.anim:draw(player.spriteSheet, player.x, player.y)
    gameMap:drawLayer(gameMap.layers["Tile Layer 1"])
    gameMap:drawLayer(gameMap.layers["Object Layer 1"])
  --  cam:detach()

end